Bug 1395264 (CVE-2016-9297)

Summary: CVE-2016-9297 libtiff: Out-of-bounds heap read in _TIFFPrintField (tif_print.c:127)
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: erik-fedora, nforro, phracek, sardella, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds heap read was discovered in libtiff. A crafted file could cause the application to crash or, potentially, disclose process memory.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-23 07:12:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1395166, 1395167, 1395266    
Bug Blocks: 1395169    

Description Andrej Nemec 2016-11-15 14:30:11 UTC
A segmentation fault is possible when parsing a malicious file with libtiff.

Upstream bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2590

Comment 1 Andrej Nemec 2016-11-15 14:32:01 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1395266]

Comment 2 Doran Moppert 2016-11-17 07:10:45 UTC
*** Bug 1395165 has been marked as a duplicate of this bug. ***

Comment 3 Doran Moppert 2016-11-23 07:13:43 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security
impact. This issue is not currently planned to be addressed in future
updates. For additional information, refer to the Issue Severity
Classification: https://access.redhat.com/security/updates/classification/.